FreeMat

- Main Page
- Related Pages

vtkImageSinusoidSource

Section: Visualization Toolkit Imaging Classes

# Usage

vtkImageSinusoidSource just produces images with pixel values determined by a sinusoid.

To create an instance of class vtkImageSinusoidSource, simply invoke its constructor as follows

      obj = vtkImageSinusoidSource

# Methods

The class vtkImageSinusoidSource has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageSinusoidSource class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageSinusoidSource = obj.NewInstance ()`
- `vtkImageSinusoidSource = obj.SafeDownCast (vtkObject o)`
- `obj.SetWholeExtent (int xMinx, int xMax, int yMin, int yMax, int zMin, int zMax)` - Set/Get the extent of the whole output image.
- `obj.SetDirection (double , double , double )` - Set/Get the direction vector which determines the sinusoidal orientation. The magnitude is ignored.
- `obj.SetDirection (double dir[3])` - Set/Get the direction vector which determines the sinusoidal orientation. The magnitude is ignored.
- `double = obj. GetDirection ()` - Set/Get the direction vector which determines the sinusoidal orientation. The magnitude is ignored.
- `obj.SetPeriod (double )` - Set/Get the period of the sinusoid in pixels.
- `double = obj.GetPeriod ()` - Set/Get the period of the sinusoid in pixels.
- `obj.SetPhase (double )` - Set/Get the phase: 0->2Pi. 0 => Cosine, pi/2 => Sine.
- `double = obj.GetPhase ()` - Set/Get the phase: 0->2Pi. 0 => Cosine, pi/2 => Sine.
- `obj.SetAmplitude (double )` - Set/Get the magnitude of the sinusoid.
- `double = obj.GetAmplitude ()` - Set/Get the magnitude of the sinusoid.